angular.module("cateoryApp",[])
.factory("cateoryFac",function(){
	return angular.fromJson(localStorage.getItem('shopcateory'));
})
.controller("cateoryController",['$scope','$http','cateoryFac',function($scope,$http,cateoryFac){
	//下拉切换
	$(function(){
		$('.cateTitle').click(function(){
			var currentThis=$(this).parent().children(".cateContent");
			if(currentThis.css("display")=="none"){
				$(".collapseIcon").removeClass("currentIcon");
				$(this).next().addClass("currentIcon");
				$(".cateContent").hide();
				currentThis.slideDown(1000);
			}else{
				$(this).next().removeClass("currentIcon");
				currentThis.slideUp(1000);
				$(".cateContent").hide();
			}
		});
	});
	//获取数据
	$scope.categories=cateoryFac.content;
	//定义商铺信息
	$scope.shopList={
		"latitude":30.508613,
		"longitude":120.675114,
		"pageindex":1,
		"pagesize":10,
		"parentid":null,
		"name":null,
		"configura":null,
		"typeid":null,
		"addressid":null
	}
	window.navigator.geolocation.getCurrentPosition(function(position){
		$scope.shopList.latitude=position.coords.latitude;
		$scope.shopList.longitude=position.coords.longitude;
	});
	//获取商铺列表
	$scope.enterList=function(uuid,name,parentid){
		var wa=plus.nativeUI.showWaiting();
		$scope.shopList.typeid=uuid;
		$scope.shopList.name=name;
		$scope.shopList.parentid=parentid;
		localStorage.setItem('shopListInfo',angular.toJson($scope.shopList));
		$http({
			method:'post',
			url:'http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=AllSpringTide&op=seleShow&m=hn_daily&xpzpd=bgtxpzpd2014',
			params:$scope.shopList
		}).success(function(response){
			localStorage.removeItem('shopList');
			localStorage.setItem('shopList',angular.toJson(response));
			wa.close();
			clicked('ShopList.html');
		}).error(function(response){
			alert("网络错误！");
		});
	}
}])
