angular.module("fillComApp",["indCenApp"])
.controller("fillComController",['$scope','indCenFac',function($scope,indCenFac){
	$scope.mycomment={
		"uniacid":indCenFac.content.uniacid,
		"uid":indCenFac.content.uid,
		"nickname":indCenFac.content.nickname,
		"shopId":JSON.parse(localStorage.getItem("shopDetailInfo")).content.id,
		"grade":null
	}
	$(".starComment span").click(function(){
		var n=$(this).index();
		function switchBg(n){
			$(".starComment span").each(function(){
				var p=$(this).index();
				if(p<=n){
					$(this).addClass("currentSpan");
				}else{
					$(this).removeClass("currentSpan");
				}
			});
		}
		switch(n){
			case 1:switchBg(1);break;
			case 2:switchBg(2);break;
			case 3:switchBg(3);break;
			case 4:switchBg(4);break;
			case 5:switchBg(5);break;
		}
	});
	$scope.upload=function(){
		$scope.mycomment.grade=($(".starComment .currentSpan").length).toString();
		var $content=$("#content").val().replace(/\s+/g,'');
		var $membersName=$("#membersName").val().replace(/\s+/g,'');
		var SPECIAL_CHAR="~!%^&*()-=+|\\?\"\',><\/[]{}";
		for(i=0;i<$membersName.length;i++){
			var checkChar=SPECIAL_CHAR.indexOf($membersName.charAt(i));
		}
		if($content==""){
			alert("请填写爆料内容！");
			return;
		}
		if($content.length>140){
			alert("爆料内容不能超过140个字符！");
			return;
		}
		if($membersName==""){
			alert("请填写昵称！");
			return;
		}
		if($membersName.length>6){
			alert("称呼不能超过6个字符！");
			return;
		}
		if($(".starComment .currentSpan").length<1){
			alert("请选择评分！")
			return;
		}
		var wt=plus.nativeUI.showWaiting();
		var task=plus.uploader.createUpload(server,
			{method:"POST"},
			function(t,status){//上传完成
				if(status==200){
					wt.close();
					alert("上传成功");
					if(JSON.parse(t.responseText).struts=="success"){
						window.location.href="shopComment.html";
						//var w=plus.webview.create("shopComment.html","shopComment.html",{scrollIndicator:'none',scalable:false});
						w.addEventListener("loaded",function(){
							wt.close();
							w.show("slide-in-right",100);
						},false);
					}else{
						alert("上传失败");
					}
				}else{
					alert("上传失败");
					wt.close();
				}
			}
		);
		task.addData("uniacid",$scope.mycomment.uniacid);
		task.addData("uid",$scope.mycomment.uid);
		task.addData("gategory_id",$scope.mycomment.shopId);
		task.addData("nickname",$scope.mycomment.nickname);
		task.addData("comment_desc",$scope.mycomment.content);
		task.addData("zan",$scope.mycomment.grade);
		for(var i=0;i<files.length;i++){
			var f=files[i];
			task.addFile(f.path,{key:f.name});
		}
		task.start();
	}
}])
//上传图片代码
var server="http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=AllSpringTide&op=addcomment&m=hn_daily&xpzpd=bgtxpzpd2014";
var files=[];
// 拍照添加文件
function appendByCamera(){
	if(!confirm("是否允许爱海宁访问相机！")){
		return;
	}
	plus.camera.getCamera().captureImage(function(p){
		plus.gallery.save(p);
		appendFile(plus.io.convertLocalFileSystemURL(p));
	});	
}
// 从相册添加文件
function appendByGallery(){
	plus.gallery.pick(function(p){
        appendFile(plus.io.convertLocalFileSystemURL(p));
    });
}
// 添加文件
var index=1;
function appendFile(p){
	var fe=document.getElementById("files");
	var li=document.createElement("li");
	var img=document.createElement('img');
	var n=p.substr(p.lastIndexOf('/')+1);
	//li.innerText=n;
	fe.appendChild(li);
	li.appendChild(img);
	fe.style.overflow='hidden';
	li.style.marginRight='10px';
	li.style.marginTop='10px';
	li.style.float='left';
	img.style.width='100px';
	img.style.height='100px';
	img.style.display='block';
	img.src="file://"+p;
	files.push({name:index,path:p});
	index++;
	empty.style.display="none";
}
// 产生一个随机数
function getUid(){
	return Math.floor(Math.random()*100000000+10000000).toString();
}