angular.module("myDataApp",['indCenApp'])
.controller("myDataController",["$scope",'$http',"indCenFac",function($scope,$http,indCenFac){
	var currentYear=new Date().getFullYear();
	$scope.myData=indCenFac.content;
	$scope.myData.age=currentYear-$scope.myData.birthyear;
	$(".myHeader img")[0].src="http://hn.baguatan.cn/"+$scope.myData.avatar;
	//上传图片
	$scope.uploadPic=function(){
		function appendByGallery(){
			plus.gallery.pick(function(p){
				$scope.myData.avatar=p;
				$(".myHeader img")[0].src="file://"+plus.io.convertLocalFileSystemURL(p);
		    });
		}
		appendByGallery();
	}
	//获取省、市、县
	$http({
		method:'get',
		url:'http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=loginRegister&op=updinfo&ajax=ajax&parent_id=1&m=hn_daily&xpzpd=bgtxpzpd2014'
	}).success(function(response){
		$scope.provinces=response;
		$scope.selectProvince();
		$scope.selectCity();
	});
	//获取市
	$scope.selectProvince=function(){
		$scope.areas=null;
		$http({
			method:'get',
			url:'http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=loginRegister&op=updinfo&ajax=ajax&parent_id='+$scope.myData.resideprovince+'&m=hn_daily&xpzpd=bgtxpzpd2014'
		}).success(function(response){
			$scope.cities=response;
		});
	}
	//获取县
	$scope.selectCity=function(){
		$http({
			method:'get',
			url:'http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=loginRegister&op=updinfo&ajax=ajax&parent_id='+$scope.myData.residecity+'&m=hn_daily&xpzpd=bgtxpzpd2014'
		}).success(function(response){
			$scope.areas=response;
		});
	}
	//更新信息
	$scope.mySubmit=function(){
		$scope.birthyear=(currentYear-$scope.myData.age).toString();
		if($scope.myData.nickname.length>6){
			alert("昵称不能超过6个字符！");
			return;
		}
		if($scope.myData.realname.length>10){
			alert("昵称不能超过10个字符！");
			return;
		}
		if($scope.myData.address.length>140){
			alert("昵称不能超过140个字符！");
			return;
		}
		if($scope.myData.age.length>0){
			var testAge=/^120$|^((1[0-1]|[1-9])?\d)$/g.test($scope.myData.age);
			if(!testAge){
				alert("请输入有效年龄！");
			}
		}
		if($scope.myData.idcard.length>0){
			var testIdcard=/^[1-9]\d{16}[\d|x|X]$/g.test($scope.myData.idcard);
			if(!testIdcard){
				alert("请输入有效身份证号！");
				return;
			}
		}
		if($scope.myData.qq.length>0){
			var testQQ=/^[1-9]\d{4,14}$/g.test($scope.myData.qq);
			if(!testQQ){
				alert("请输入有效QQ号码！");
				return;
			}
		}
		
		if($scope.myData.email.length>0){
			var testEmail=/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/g.test($scope.myData.email);
			if(!testEmail){
				alert("请输入有效邮箱！");
				return;
			}
		}
		var server='http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=loginRegister&op=updinfo&m=hn_daily&xpzpd=bgtxpzpd2014';
		var wt=plus.nativeUI.showWaiting();
		var task=plus.uploader.createUpload(server,
			{method:"POST"},
			function(t,status){//上传完成
				if(status==200){
					wt.close();
					alert("上传成功");
					localStorage.removeItem("myInfo");
					localStorage.setItem("myInfo",t.responseText);
					var w=plus.webview.create("individualCenter.html","individualCenter.html",{scrollIndicator:'none',scalable:false});
					w.addEventListener("loaded",function(){
						wt.close();
						w.show("slide-in-right",100);
					},false);
				}else{
					alert("上传失败");
					wt.close();
				}
			}
		);
		task.addData("uid",$scope.myData.uid);
		task.addData("uniacid",$scope.myData.uniacid);
		task.addData("nickname",$scope.myData.nickname);
		task.addData("realname",$scope.myData.realname);
		task.addData("gender",$scope.myData.gender);
		task.addData("birthyear",$scope.birthyear);
		task.addData("idcard",$scope.myData.idcard);
		task.addData("resideprovince",$scope.myData.resideprovince);
		task.addData("residecity",$scope.myData.residecity);
		task.addData("residedist",$scope.myData.residedist);
		task.addData("address",$scope.myData.address);
		task.addData("mobile",$scope.myData.mobile);
		task.addData("qq",$scope.myData.qq);
		task.addData("email",$scope.myData.email);
		task.addFile($scope.myData.avatar,{key:"myHead"});
		task.start();
	}
	
}]);

