var _openw=null;
var as='slide-in-right',at=100,rs='slide-in-left';// 默认动画时间
var preate={};
var templates = {};
var getTemplate = function(name, header, content, loading) {
	var template = templates[name];
	if (!template) {
		//预加载共用父模板；
		var headerWebview = mui.preload({
			url:header,
			id:name+"-main",
			styles:{
				popGesture:"hide",
			},
			extras:{
				mType: 'main'
			}
		});
		//预加载共用子webview
		var subWebview = mui.preload({
			url:!content?"":content,
			id:name+"-sub",
			styles:{
				top: '48px',
				bottom: '0px',
			},
			extras:{
				mType: 'sub'
			}
		});
		subWebview.addEventListener('loaded', function() {
			setTimeout(function() {
				subWebview.show();
			}, 50);
		});
		subWebview.hide();
		headerWebview.append(subWebview);

		//iOS平台支持侧滑关闭，父窗体侧滑隐藏后，同时需要隐藏子窗体；
		if (mui.os.ios) { //5+父窗体隐藏，子窗体还可以看到？不符合逻辑吧？
			headerWebview.addEventListener('hide', function() {
				subWebview.hide("none");
			});
		}
		templates[name] = template = {
			name: name,
			header: headerWebview,
			content: subWebview,
			loaded: loading
		};
	}
	
	return template;
};
var initTemplates = function() {
	getTemplate('default', 'template.html');
	
};
//外链加载一个窗口
var aniShow = "slide-in-right";
function outClicked(id){
	//定义模板
	var template=getTemplate("default");
	//获得共用父模板
	var headerWebview = template.header;
	//获得共用子webview
	var contentWebview = template.content;
	//子页面的URL
	var currentURL=id;
	//通知模板修改标题，并显示隐藏右上角图标；
	
	
	
	
	contentWebview.loadURL(id);
	contentWebview.show();
	headerWebview.show(as,at);
	
	var _title = contentWebview.getTitle();
	
	mui.fire(headerWebview,'updateHeader',{currentURL:currentURL,title:_title});
}

//外链加载一个窗口
function outClicked2(id){
	//定义模板
	
	console.log('开始显示');
	
	getTemplate('default2', 'template.html');
	var template=getTemplate("default2");
	//获得共用父模板
	var headerWebview = template.header;
	//获得共用子webview
	var contentWebview = template.content;
	//子页面的URL
	var currentURL=id;
	//通知模板修改标题，并显示隐藏右上角图标；
	//contentWebview.loadURL(id);
	//contentWebview.show();
	//headerWebview.show(as,at);
	
	
	
	if(mui.os.ios||(mui.os.android&&parseFloat(mui.os.version)<4.4)){
							var reload = true;
							if (!template.loaded) {
								if (contentWebview.getURL() != currentURL) {
									contentWebview.loadURL(currentURL);
								} else {
									reload = false;
								}
							} else {
								reload = false;
							}
							(!reload) && contentWebview.show();
							
							headerWebview.show(aniShow, 150);
							console.log('3');
						}
	
	if(mui.os.android&&aniShow&&parseFloat(mui.os.version)>=4.4){
				
				var href = currentURL;
				contentWebview.loadURL(href);
				contentWebview.show();
				headerWebview.show(as,at);
				
				var _title = contentWebview.getTitle();
				
			}
	
	var _title = '内容';
	console.log('fire b');
	var showMenu = false;
	mui.fire(headerWebview,'updateHeader',{currentURL:currentURL,title:_title,target:currentURL,showMenu:showMenu});
	console.log('fire e');
	
	
}
//本地加载窗口
function clicked(id,flag){
	var wa=plus.nativeUI.showWaiting();
	_openw=plus.webview.create(id,id,{scrollIndicator:'none',scalable:false,popGesture:'hide'},{preate:true});
	preate[id]=_openw;
	_openw.addEventListener('loaded',function(){//叶面加载完成后才显示
		setTimeout(function(){//延后显示可避免低端机上动画时白屏
			wa.close(rs);
			_openw.show(as,at);
			_openw.showded=true;
		},at);
	},false);
	_openw.addEventListener('close',function(){//页面关闭后可再次打开
		_openw=null;
		preate[id]&&(preate[id]=null);//兼容窗口的关闭
	},false);
}
//以动画的形式打开一个窗口
function animateWindow(id){
	var wa=plus.nativeUI.showWaiting();
	var wp=plus.webview.create(id,id,{scrollIndicator:'none',scalable:false,popGesture:'none'},{preate:true});
	wp.addEventListener('loaded',function(){//叶面加载完成后才显示
			setTimeout(function(){//延后显示可避免低端机上动画时白屏
				wa.close(rs);
				_openw.show(as,at);
				_openw.showded=true;
			},at);
		},false);
	wp.show(as,at);
}
//循环关闭所有webview窗口
function closewebview(){
	var wvs=plus.webview.all();
	for(var i=1;i<wvs.length;i++){
		wvs[i].close(rs,at);
	}
}
//返回键方法
function topReturn(){
	_openw=plus.webview.currentWebview();
	if(_openw!=null){
		_openw.canBack( function(e){
			if(e.canBack){
				_openw.back();
			}else{
				_openw.close(rs,at);
				_openw=null
				return;
			}
		});
	}
}


function GetRandomNum(Min,Max)
{   
var Range = Max - Min;   
var Rand = Math.random();   
return(Min + Math.round(Rand * Range));   
}   
