angular.module("registerApp",[])
.controller("registerController",['$scope','$http',function($scope,$http){
	$scope.register=function(){
		if($scope.myform.username.$pristine){
			alert("手机号不能为空！");
			return;
		}
		if($scope.myform.email.$pristine){
			alert("邮箱不能为空！");
			return;
		}
		if(!(/^(13[0-9]|15[0-9]|18[0-9]|17[0-9])\d{8}$/g).test($scope.regInfo.username)){
			alert("手机号格式不正确！");
			return;
		}
		if(!(/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/g).test($scope.regInfo.email)){
			alert("邮箱格式不正确！");
			return;
		}
		if($scope.myform.passwords.$pristine){
			alert("密码不能为空");
			return;
		}
		if($scope.regInfo.password.length<6){
			alert("密码不能小于6位！");
			return;
		}
		if($scope.regInfo.password.length>16){
			alert("密码不能大于16位！");
			return;
		}
		if($scope.regInfo.password!=$scope.regInfo.repassword){
			alert("两次密码输入不一样！");
			return;
		}
		$http({
			method:'post',
			url:'http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=loginRegister&op=register&m=hn_daily&xpzpd=bgtxpzpd2014',
			params:$scope.regInfo
		}).success(function(response){
			$scope.returnInfo=response;
			localStorage.removeItem('myInfo');
			localStorage.setItem('myInfo',angular.toJson(response));
			if($scope.returnInfo.struts=='success'){
				alert("恭喜您,注册成功！");
				window.location.href="individualCenter.html";
			}else{
				alert("注册失败,"+$scope.returnInfo.cause+"!");
			}
		}).error(function(){
			alert("注册失败,网络错误！")
		});
	}
}]);
