angular.module("shopsApp",[])
.factory("shopCateoryFac",function(){
	return angular.fromJson(localStorage.getItem('shopcateory'));
})
.factory("shopListFac",function(){
	return angular.fromJson(localStorage.getItem('shopList'));
})
.factory("shopListInfoFac",function(){
	return angular.fromJson(localStorage.getItem('shopListInfo'));
})
.controller("shopsController",['$scope','$http','shopCateoryFac','shopListFac','shopListInfoFac',function($scope,$http,shopCateoryFac,shopListFac,shopListInfoFac){
	var flag=null;
	$(function(){
		//选择下拉列表显示与隐藏
		$(".conditionSelect li").click(function(){
			var index=$(this).index();
			var windowLeft=$(window).width()-8;
			var bigArrowLeft=(2*index+1)*windowLeft/6;
			var smallArrowLeft=((2*index+1)*windowLeft/6)+2;
			$(".bigArrow").css("left",bigArrowLeft);
			$(".smallArrow").css("left",smallArrowLeft);
			if($(".conditionContentBox").css("display")=="none"){
				$(".conditionSelect li").removeClass("currentLi");
				$(this).addClass("currentLi");
				$(".conditionContentBox").show();
				$(".conditionContent").hide();
				$(".conditionContent").eq(index).show();
				flag=index;
			}else{
				$(".conditionSelect li").removeClass("currentLi");
				$(".conditionContentBox").hide();
				flag=null;
			}
		});
	});
	//获取地方信息
	$http({
		method:'post',
		url:'http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=loginRegister&op=updinfo&parentajax=xpsgjr&ajax=ajax&parent_id=3250&multistage=1&m=hn_daily&xpzpd=bgtxpzpd2014'
	}).success(function(response){
		$scope.shopPlaces=response;
	});
	//获取排序列表
	$http({
		method:'post',
		url:'http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=AllSpringTide&op=screening&m=hn_daily&xpzpd=bgtxpzpd2014'
	}).success(function(response){
		$scope.shopOrders=response.content;
	});
	//获取分类数据
	$scope.shopcateory=shopCateoryFac.content;
	//获取列表数据
	$scope.shopLists=shopListFac.content;
	//获取发送请求的数据
	$scope.shopListInfo=shopListInfoFac;
	$scope.shopTypes=[];
	for(var i=0; i<$scope.shopcateory.length;i++){
		if($scope.shopcateory[i].id==$scope.shopListInfo.parentid){
			$scope.shopTypess=$scope.shopcateory[i].childe;
			break;
		}
	}
	for(var t=0;t<$scope.shopTypess.length;t++){
		for(var p=0;p<$scope.shopTypess[t].length;p++){
			$scope.shopTypes.push($scope.shopTypess[t][p]);
		}
	}
	//按类型更换信息
	$scope.selectType=function(target,uuid,name,parentid){
		$scope.shopListInfo.pageindex=1;
		$scope.shopListInfo.typeid=uuid;
		$scope.shopListInfo.name=name;
		$scope.shopListInfo.parentid=parentid;
		$http({
			method:'post',
			url:'http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=AllSpringTide&op=seleShow&m=hn_daily&xpzpd=bgtxpzpd2014',
			params:$scope.shopListInfo
		}).success(function(response){
			$scope.shopLists=response.content;
		});
		selectItem(target);
	}
	//按排序更换信息
	$scope.selectOrder=function(target,uuid){
		$scope.shopListInfo.pageindex=1;
		$scope.shopListInfo.configura=uuid;
		$http({
			method:'post',
			url:'http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=AllSpringTide&op=seleShow&m=hn_daily&xpzpd=bgtxpzpd2014',
			params:$scope.shopListInfo
		}).success(function(response){
			$scope.shopLists=response.content;
		});
		selectItem(target);
	}
	//按地方更换信息
	$scope.selectPlace=function(target,region_id){
		$scope.shopListInfo.pageindex=1;
		$scope.shopListInfo.addressid=region_id;
		$http({
			method:'post',
			url:'http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=AllSpringTide&op=seleShow&m=hn_daily&xpzpd=bgtxpzpd2014',
			params:$scope.shopListInfo
		}).success(function(response){
			$scope.shopLists=response.content;
		});
		selectItem(target);
	}
	//进入详情页
	$scope.shopSendInfo={
		"uuid":null
	}
	$scope.enterShopDetail=function(uuid){
		var wa=plus.nativeUI.showWaiting();
		$scope.shopSendInfo.uuid=uuid;
		//请求数据
		$http({
			method:'post',
			url:'http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=AllSpringTide&op=showShop&m=hn_daily&xpzpd=bgtxpzpd2014',
			params:$scope.shopSendInfo
		}).success(function(response){
			localStorage.removeItem("shopDetailInfo");
			localStorage.setItem("shopDetailInfo",angular.toJson(response));
			wa.close();
			clicked("shopDetail.html");
		});
	}
	function selectItem(target){
		$(".placeItem").removeClass("currentLi");
		$(".typeItem").removeClass("currentLi");
		$(".orderItem").removeClass("currentLi");
		$(target).addClass("currentLi");
		var currentText=$(target).text();
		$(".conditionSelect li").eq(flag).children("a").text(currentText);
		$(".conditionSelect li").removeClass("currentLi");
		$(".conditionContentBox").hide();
		flag=null;
	}
	//屏幕滑动事件
	$(window).scroll(function(){
		if($(document).scrollTop()>=$(document).height()-$(window).height()){
			$(".tipLoad").show();
			$scope.shopListInfo.pageindex++;
			$http({
				method:'post',
				url:'http://hn.baguatan.cn/app/index.php?i=3&c=entry&do=AllSpringTide&op=seleShow&m=hn_daily&xpzpd=bgtxpzpd2014',
				params:$scope.shopListInfo
			}).success(function(response){
				$(".tipLoad").hide();
				$scope.shopLists=$scope.shopLists.concat(response.content);
			}).error(function(){
				$(".tipLoad").hide();
			});
		}
	});
}]);
